public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/recordclass/
@ 2021-04-03 18:39 Haelwenn Monnier
  0 siblings, 0 replies; 2+ messages in thread
From: Haelwenn Monnier @ 2021-04-03 18:39 UTC (permalink / raw
  To: gentoo-commits

commit:     71c53d05756765203280e2d9237031c698644857
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sat Apr  3 18:37:05 2021 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Sat Apr  3 18:37:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=71c53d05

dev-python/recordclass: New Package

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 dev-python/recordclass/Manifest                  |  1 +
 dev-python/recordclass/metadata.xml              |  7 +++++
 dev-python/recordclass/recordclass-0.14.3.ebuild | 33 ++++++++++++++++++++++++
 dev-python/recordclass/recordclass-9999.ebuild   | 30 +++++++++++++++++++++
 4 files changed, 71 insertions(+)

diff --git a/dev-python/recordclass/Manifest b/dev-python/recordclass/Manifest
new file mode 100644
index 000000000..c0760ac0e
--- /dev/null
+++ b/dev-python/recordclass/Manifest
@@ -0,0 +1 @@
+DIST recordclass-0.14.3.tar.gz 156962 BLAKE2B 31bbe62fd059b9ba594d824d3e719ca4a03d72d3fdb18f8c94634d0d2a5350e3132bc1d3e20900a018e769c3dd377c53b12728dbd8daf23faf82d93663511f69 SHA512 9764b49e4cd24395a545d4845dab1522f409b48f6c0cd718499ad92a0b655d3ceef0361286dab91c7e7f05c5306e9db1f1a130b12f923dcf66c704ecdeeb612a

diff --git a/dev-python/recordclass/metadata.xml b/dev-python/recordclass/metadata.xml
new file mode 100644
index 000000000..a1bd8ff7c
--- /dev/null
+++ b/dev-python/recordclass/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<upstream>
+		<remote-id type="bitbucket">intellimath/recordclass</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/recordclass/recordclass-0.14.3.ebuild b/dev-python/recordclass/recordclass-0.14.3.ebuild
new file mode 100644
index 000000000..b64a92e75
--- /dev/null
+++ b/dev-python/recordclass/recordclass-0.14.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mutable variants of tupe and collections.namedtuple"
+HOMEPAGE="https://pypi.org/project/recordclass/"
+if [[ ${PV} == "9999" ]]
+then
+	inherit git-r3
+	EGIT_REPO_URI="https://bitbucket.org/intellimath/recordclass.git"
+else
+	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+# lib/recordclass/mutabletuple.c:727: PyObject *mutabletuple_copy(PyMutableTupleObject *): Assertion `PyTuple_Check(ob)' failed.
+RESTRICT="test"
+
+DEPEND="dev-python/cython"
+RDEPEND="${DEPEND}"
+
+python_test() {
+	[[ -n ${EPYTHON} ]] || die "EPYTHON unset, invalid call context"
+	${EPYTHON} ./test_all.py
+}

diff --git a/dev-python/recordclass/recordclass-9999.ebuild b/dev-python/recordclass/recordclass-9999.ebuild
new file mode 100644
index 000000000..efeeaf544
--- /dev/null
+++ b/dev-python/recordclass/recordclass-9999.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mutable variants of tupe and collections.namedtuple"
+HOMEPAGE="https://pypi.org/project/recordclass/"
+if [[ ${PV} == "9999" ]]
+then
+	inherit git-r3
+	EGIT_REPO_URI="https://bitbucket.org/intellimath/recordclass.git"
+else
+	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+DEPEND="dev-python/cython"
+RDEPEND="${DEPEND}"
+
+python_test() {
+	[[ -n ${EPYTHON} ]] || die "EPYTHON unset, invalid call context"
+	${EPYTHON} ./test_all.py
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/recordclass/
@ 2021-06-11 15:23 Alessandro Barbieri
  0 siblings, 0 replies; 2+ messages in thread
From: Alessandro Barbieri @ 2021-06-11 15:23 UTC (permalink / raw
  To: gentoo-commits

commit:     9d3cb776a45f70af4d8dcac8d1e2ff67756a46bd
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Jun  6 02:31:17 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Fri Jun 11 15:23:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9d3cb776

dev-python/recordclass: drop unmaintained live

Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/recordclass/recordclass-9999.ebuild | 30 --------------------------
 1 file changed, 30 deletions(-)

diff --git a/dev-python/recordclass/recordclass-9999.ebuild b/dev-python/recordclass/recordclass-9999.ebuild
deleted file mode 100644
index efeeaf544..000000000
--- a/dev-python/recordclass/recordclass-9999.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6..8} )
-
-inherit distutils-r1
-
-DESCRIPTION="Mutable variants of tupe and collections.namedtuple"
-HOMEPAGE="https://pypi.org/project/recordclass/"
-if [[ ${PV} == "9999" ]]
-then
-	inherit git-r3
-	EGIT_REPO_URI="https://bitbucket.org/intellimath/recordclass.git"
-else
-	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="MIT"
-SLOT="0"
-
-DEPEND="dev-python/cython"
-RDEPEND="${DEPEND}"
-
-python_test() {
-	[[ -n ${EPYTHON} ]] || die "EPYTHON unset, invalid call context"
-	${EPYTHON} ./test_all.py
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-06-11 15:23 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-03 18:39 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/recordclass/ Haelwenn Monnier
  -- strict thread matches above, loose matches on Subject: below --
2021-06-11 15:23 Alessandro Barbieri

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox